Games that require pixel shader 2.0

Nvidia / Geforce4 mx440
September 11, 2009 at 08:19:16
Specs: Windows XP
My son recently purchased SPORE and after he loads
the game he gets an alert that says "Sorry, your
graphics card is below our min. spec. The game will
not run."

Our video card is 128MB Nvidia GeForce4 MX440

I am not sure if this card supports pixel shader 2.0.
Our system seems to support all the other minimum
requirements. Our motherboard supports AGP 4X.
Our system power supply is 160-watt.

What would you suggest I do so that my son can play
his new game? Thank you for your any help you can

See More: Games that require pixel shader 2.0

Report •

September 11, 2009 at 11:19:36
Your video card doesn't support PS 2.0. It's a hardware issue, not a software issue. Installing updates or new drivers will NOT fix the problem.

You need to upgrade to at least a GeForce 5200 (or better) or a Radeon 9550 (or better).

Considering the weak power supply, I recommed the FX5200.

Report •
Related Solutions

Ask Question